View Issue Details

IDProjectCategoryView StatusLast Update
0000915OBS-StudioOBS Studio UI (Qt)public2019-04-09 21:49
ReporterArkkisAssigned ToFenrir 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
PlatformOBS StudioOSWindowsOS Version10
Product Version19.0.1 
Target Version24.0.0Fixed in Version24.0.0 
Summary0000915: Autoselecting all text when renaming source
DescriptionIt would be easier if text was selected automatically when you click rename on source. You could start typing straight away without first deleting old name.
Steps To ReproduceClick rename on source.
TagsNo tags attached.

Activities

nsahm

2019-03-01 17:25

reporter   ~0004180

I would like to look into resolving this.
Would this be something that should also be implemented for scenes as well?

dodgepong

2019-03-01 18:09

administrator   ~0004181

Seems reasonable to do it for scenes as well.

My only concern is to be sure that pressing Escape cancels the rename process and leaves the name as-is.

Fenrir

2019-04-08 20:38

administrator   ~0004476

Fixed for sources here: https://github.com/obsproject/obs-studio/commit/fdae1bbc0f83f4335963637cb830faf8f674b3a8
Fixed for scenes here: https://github.com/obsproject/obs-studio/commit/bd718392594b63f5d687b83db3e6652242f04fd5

Issue History

Date Modified Username Field Change
2017-05-21 08:00 Arkkis New Issue
2019-02-23 05:27 RytoEX Category OBS Basic UI => OBS Studio UI
2019-02-23 05:29 Fenrir Category OBS Studio UI => OBS Studio UI (Qt)
2019-03-01 17:25 nsahm Note Added: 0004180
2019-03-01 18:09 dodgepong Note Added: 0004181
2019-04-08 20:38 Fenrir Assigned To => Jim
2019-04-08 20:38 Fenrir Status new => resolved
2019-04-08 20:38 Fenrir Resolution open => fixed
2019-04-08 20:38 Fenrir Fixed in Version => 24.0.0
2019-04-08 20:38 Fenrir Note Added: 0004476
2019-04-08 20:38 Fenrir Assigned To Jim => Fenrir
2019-04-09 21:49 Fenrir Target Version => 24.0.0